sc::TwoBodyTwoCenterDerivInt(3)

NAME
sc::TwoBodyTwoCenterDerivInt -

This is an abstract base type for classes that compute two centers integrals involving two electrons'.

SYNOPSIS

#include <tbint.h>

Inherits sc::RefCount'.

  Public Member Functions
int nbasis () const
Return the number of basis functions on center one'.
int nbasis1 () const
Return the number of basis functions on center one'.
int nbasis2 () const
Return the number of basis functions on center two'.
int nshell () const
Return the number of shells on center one'.
int nshell1 () const
Return the number of shells on center one'.
int nshell2 () const
Return the number of shells on center two'.
Ref< GaussianBasisSet > basis ()
Return the basis set on center one'.
Ref< GaussianBasisSet > basis1 ()
Return the basis set on center one'.
Ref< GaussianBasisSet > basis2 ()
Return the basis set on center two'.
const double * buffer () const
The computed shell integrals will be put in the buffer returned by this member'.
virtual void compute_shell (int, int, DerivCenters &)=0
Given for shell indices, this will cause the integral buffer to be filled in'.
virtual int log2_shell_bound (int=-1, int=-1)=0
Return log base 2 of the maximum magnitude of any integral in a shell block'.

  Protected Member Functions
TwoBodyTwoCenterDerivInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2)

  Protected Attributes
Integral * integral_
Ref< GaussianBasisSet > bs1_
Ref< GaussianBasisSet > bs2_
double * buffer_

Detailed Description

This is an abstract base type for classes that compute two centers integrals involving two electrons'.

Member Function Documentation

  virtual void sc::TwoBodyTwoCenterDerivInt::compute_shell (int, int, DerivCenters &) [pure virtual]

Given for shell indices, this will cause the integral buffer to be filled in'.

  virtual int sc::TwoBodyTwoCenterDerivInt::log2_shell_bound (int = -1, int = -1) [pure virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block'. An index of -1 for any argument indicates any shell'.

Author

Generated automatically by Doxygen for MPQC from the source code'.